Saving a geopackage causes data table columns to delete

2018-10-12 04:10 AM - Patrick Dunford

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:3.2.3 Regression?: No

Operating System: Debian 9.5 / KDE Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 27906

Description

This has happened to me at least twice, fortunately I kept the original tables.

1. A shapefile was saved as a geopackage. There was a problem with the geopackage layer and when it was opened up it was found

there were no data columns at all in the geopackage data table. Fortunately I had kept the shapefile and on the second attempt it saved

correctly.

2. A geopackage was saved as another geopackage, again columns have disappeared. The most serious problem is the FID column has

had data from another field copied into it (text data) which means the FID values would have to be made up by the user to allow a save to

occur.

I am now checking all my geopackages in my project as it appears there has been data deletion in more layers than I had realised.

History

#1 - 2018-10-12 11:02 AM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from Yes to No

- Status changed from Open to Feedback

- Category changed from Unknown to Vectors

Can you please try with QGIS master to see if it makes any difference? thanks.

#2 - 2019-02-23 08:37 PM - Jürgen Fischer

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Bulk closing 82 tickets in feedback state for more than 90 days affecting an old version.  Feel free to reopen if it still applies to a current version and you

have more information that clarify the issue.
